# SegmentHandler Interface Reference
[Root classes for building DAO hierarchies, Classes implemented in PHP's extension.]

Inheritance diagram for SegmentHandler:
[legend]

List of all members.

## Public Member Functions

| __construct ($segmentId)
| ping ($key)
| checks for a key existence in segment
| touch ($key)
| creates key in segment
| unlink ($key)
| deletes key from segment
| drop ()
| destroys segment

## Detailed Description

Definition at line 16 of file SegmentHandler.class.php.

## Constructor & Destructor Documentation

SegmentHandler::__construct | ( | $ | segmentId | ) |

Implemented in ApcSegmentHandler, CacheSegmentHandler, eAcceleratorSegmentHandler, FileSystemSegmentHandler, MessageSegmentHandler, OptimizerSegmentHandler, SharedMemorySegmentHandler, and XCacheSegmentHandler.

## Member Function Documentation

SegmentHandler::drop | ( |  | ) |

destroys segment

Implemented in ApcSegmentHandler, CacheSegmentHandler, eAcceleratorSegmentHandler, FileSystemSegmentHandler, MessageSegmentHandler, SharedMemorySegmentHandler, and XCacheSegmentHandler.

SegmentHandler::ping | ( | $ | key | ) |

checks for a key existence in segment

Implemented in CacheSegmentHandler, FileSystemSegmentHandler, MessageSegmentHandler, OptimizerSegmentHandler, SharedMemorySegmentHandler, and XCacheSegmentHandler.

SegmentHandler::touch | ( | $ | key | ) |

creates key in segment

Implemented in CacheSegmentHandler, FileSystemSegmentHandler, MessageSegmentHandler, OptimizerSegmentHandler, and SharedMemorySegmentHandler.

SegmentHandler::unlink | ( | $ | key | ) |

deletes key from segment

Implemented in CacheSegmentHandler, FileSystemSegmentHandler, MessageSegmentHandler, OptimizerSegmentHandler, and SharedMemorySegmentHandler.

The documentation for this interface was generated from the following file:

- main/DAOs/Handlers/SegmentHandler.class.php